gtkmm 2.4: Gtk::PrintUnixDialog Class Reference

Main Page Widgets Namespaces Book

# Gtk::PrintUnixDialog Class Reference

Inheritance diagram for Gtk::PrintUnixDialog:

[legend]
List of all members.

## Public Member Functions
int | get_current_page () const
Glib::RefPtr<const PageSetup> | get_page_setup () const
Glib::RefPtr<PageSetup> | get_page_setup ()
Glib::RefPtr<const Printer> | get_selected_printer () const
Glib::RefPtr<Printer> | get_selected_printer ()
Glib::RefPtr<const PrintSettings> | get_settings () const
Glib::RefPtr<PrintSettings> | get_settings ()
| Gets the settings object holding the settings (global property settings, RC file information, etc) used for this widget.
const GtkPrintUnixDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkPrintUnixDialog* | gobj ()
| Provides access to the underlying C GtkObject.
| PrintUnixDialog (const Glib::ustring& title)
| PrintUnixDialog (Gtk::Window& parent, const Glib::ustring& title)
Glib::PropertyProxy_ReadOnly< int > | property_current_page () const
| The current page in the document.
Glib::PropertyProxy<int> | property_current_page ()
| The current page in the document.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<PageSetup >> | property_page_setup () const
| The GtkPageSetup to use.
Glib::PropertyProxy< Glib::RefPtr< PageSetup > > | property_page_setup ()
| The GtkPageSetup to use.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<PrintSettings >> | property_print_settings () const
| The GtkPrintSettings used for initializing the dialog.
Glib::PropertyProxy< Glib::RefPtr< PrintSettings > > | property_print_settings ()
| The GtkPrintSettings used for initializing the dialog.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Printer >> | property_selected_printer () const
| The GtkPrinter which is selected.
void | set_current_page (int current_page)
void | set_page_setup (const Glib::RefPtr<PageSetup>& page_setup)
void | set_settings (const Glib::RefPtr<PrintSettings>& print_settings)
virtual | ~PrintUnixDialog ()
## Related Functions
(Note that these are not member functions.)
Gtk::PrintUnixDialog* | wrap (GtkPrintUnixDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::PrintUnixDialog::~PrintUnixDialog | ( |  | ) | `[virtual]`

Gtk::PrintUnixDialog::PrintUnixDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | title
| ) | `[explicit]`

Gtk::PrintUnixDialog::PrintUnixDialog | ( | const Glib::ustring& | title | ) | `[explicit]`

## Member Function Documentation

int Gtk::PrintUnixDialog::get_current_page | ( |  | ) | const

Glib::RefPtr<const PageSetup> Gtk::PrintUnixDialog::get_page_setup | ( |  | ) | const

Glib::RefPtr<PageSetup> Gtk::PrintUnixDialog::get_page_setup | ( |  | ) |

Glib::RefPtr<const Printer> Gtk::PrintUnixDialog::get_selected_printer | ( |  | ) | const

Glib::RefPtr<Printer> Gtk::PrintUnixDialog::get_selected_printer | ( |  | ) |

Glib::RefPtr<const PrintSettings> Gtk::PrintUnixDialog::get_settings | ( |  | ) | const

Glib::RefPtr<PrintSettings> Gtk::PrintUnixDialog::get_settings | ( |  | ) |

| Gets the settings object holding the settings (global property settings, RC file information, etc) used for this widget. Note that this function can only be called when the Gtk::Widget is attached to a toplevel, since the settings object is specific to a particular Gdk::Screen. Returns: The relevant Gtk::Settings object. Reimplemented from Gtk::Widget.

const GtkPrintUnixDialog* Gtk::PrintUnixDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkPrintUnixDialog* Gtk::PrintUnixDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

Glib::PropertyProxy_ReadOnly<int> Gtk::PrintUnixDialog::property_current_page | ( |  | ) | const

| The current page in the document. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::PrintUnixDialog::property_current_page | ( |  | ) |

| The current page in the document. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<PageSetup>> Gtk::PrintUnixDialog::property_page_setup | ( |  | ) | const

| The GtkPageSetup to use. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<PageSetup>> Gtk::PrintUnixDialog::property_page_setup | ( |  | ) |

| The GtkPageSetup to use. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<PrintSettings>> Gtk::PrintUnixDialog::property_print_settings | ( |  | ) | const

| The GtkPrintSettings used for initializing the dialog. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<PrintSettings>> Gtk::PrintUnixDialog::property_print_settings | ( |  | ) |

| The GtkPrintSettings used for initializing the dialog. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Printer>> Gtk::PrintUnixDialog::property_selected_printer | ( |  | ) | const

| The GtkPrinter which is selected. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::PrintUnixDialog::set_current_page | ( | int | current_page | ) |

void Gtk::PrintUnixDialog::set_page_setup | ( | const Glib::RefPtr<PageSetup>& | page_setup | ) |

void Gtk::PrintUnixDialog::set_settings | ( | const Glib::RefPtr<PrintSettings>& | print_settings | ) |

## Friends And Related Function Documentation

Gtk::PrintUnixDialog* wrap | ( | GtkPrintUnixDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printunixdialog.h